diff --git a/doc/src/sgml/release-13.sgml b/doc/src/sgml/release-13.sgml
index 66fd016257..953271862c 100644
--- a/doc/src/sgml/release-13.sgml
+++ b/doc/src/sgml/release-13.sgml
@@ -127,15 +127,18 @@ Author: Alvaro Herrera <alvherre@alvh.no-ip.org>
 -->
 
      <para>
-      Prevent display of auxiliary processes in <xref
-      linkend="pg-stat-ssl-view"/> and <xref linkend="pg-stat-gssapi-view"/>
+      Prevent display of auxiliary processes in
+      <link linkend="monitoring-pg-stat-ssl-view"><structname>pg_stat_ssl
+      </structname></link> and <link linkend="monitoring-pg-stat-gssapi-view">
+      <structname>pg_stat_gssapi</structname></link>
       system views (Euler Taveira)
      </para>
 
      <para>
-      Queries that join these views to <xref
-      linkend="pg-stat-activity-view"/> and wish to see auxiliary processes
-      will need to use left joins.
+      Queries that join these views to
+      <link linkend="monitoring-pg-stat-activity-view">
+      <structname>pg_stat_activity</structname></link> and wish to
+      see auxiliary processes will need to use left joins.
      </para>
     </listitem>
 
@@ -951,8 +954,10 @@ Author: Michael Paquier <michael@paquier.xyz>
 -->
 
        <para>
-        Add <structfield>leader_pid</structfield> to <xref
-        linkend="pg-stat-activity-view"/> to report parallel worker ownership
+        Add <structfield>leader_pid</structfield> to
+        <link linkend="monitoring-pg-stat-activity-view">
+        <structname>pg_stat_activity</structname></link>
+        to report parallel worker ownership
         (Julien Rouhaud)
        </para>
       </listitem>
@@ -992,7 +997,7 @@ Author: Amit Kapila <akapila@postgresql.org>
 
        <para>
         Add columns to the <link
-        linkend="monitoring-stats-dynamic-views-table"><structname>pg_stat_replication</structname></link>
+        linkend="monitoring-pg-stat-replication-view"><structname>pg_stat_replication</structname></link>
         system view to report how much logical decoding information has been
         spilled to disk (Tomas Vondra)
        </para>
@@ -1019,7 +1024,7 @@ Author: Tomas Vondra <tomas.vondra@postgresql.org>
 
        <para>
         Create <link
-        linkend="monitoring-stats-views-table"><structname>pg_stat_slru</structname></link>
+        linkend="monitoring-pg-stat-slru-view"><structname>pg_stat_slru</structname></link>
         system view to monitor internal <acronym>SLRU</acronym> caches
         (Tomas Vondra)
        </para>
